com.sun.grid.jsv

## Enum JsvManager.Result

- java.lang.Object
- - java.lang.Enum<JsvManager.Result>
  - - com.sun.grid.jsv.JsvManager.Result

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<JsvManager.Result>
  Enclosing class:
    JsvManager

      public static enum JsvManager.Result
      extends java.lang.Enum<JsvManager.Result>

  The Result enumeration is used to set the result of a JSV verification operation.
  See Also:
    `Jsv.onVerify(com.sun.grid.jsv.JsvManager)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCEPT`
    `MODIFY`
    `REJECT`
    `REJECT_WAIT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static JsvManager.Result` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static JsvManager.Result[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACCEPT

          public static final JsvManager.Result ACCEPT

    - #### MODIFY

          public static final JsvManager.Result MODIFY

    - #### REJECT

          public static final JsvManager.Result REJECT

    - #### REJECT_WAIT

          public static final JsvManager.Result REJECT_WAIT

  - ### Method Detail

    - #### values

          public static JsvManager.Result[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JsvManager.Result c : JsvManager.Result.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JsvManager.Result valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<JsvManager.Result>`